MENU_POST(3)

NAME
post_menu - menu library

LIBRARY
libmenu

SYNOPSIS
#include <menu.h>
int
post_menu(MENU *menu);
int
unpost_menu(MENU *menu);

DESCRIPTION
The post_menu() function causes the menu to be drawn on the screen. Any functions defined by either set_menu_init or set_item_init are called before the menu is placed on the screen. The unpost_menu() does the opposite, it removes a menu from the screen. Any functions defined by both set_menu_term and set_item_term are called prior to the menu's removal.

RETURN VALUES
The functions return one of the following error values:

E_OK			The function was successful
E_SYSTEM_ERROR		There was a system error during the call.
E_BAD_ARGUMENT		One or more of the arguments passed to the function
			was incorrect.
E_POSTED		The menu is already posted.
E_BAD_STATE		The function was called from within an initialisation
			or termination routine.
E_NO_ROOM		The menu does not fit within the subwindow.
E_NOT_CONNECTED		The item is not connected to a menu.

SEE ALSO
curses(3), menus(3)

NOTES
The header <menus.h> automatically includes both <curses.h> and <eti.h>